#include <stdio.h>
#include "LPC13xx.h"                        // LPC13xx definitions ^
#include "systick_pp.h"
#include "LCD.h"                            // definicije funkcij LCD
#include "DS1820_pp.h"                      // definicije funkcij za DS1820


extern char *napis;


int main (void) {	                          // Main Program    
 
  setup_SysTick();                          // pred uporabo je potrebno par stvari
  LCD_init();                               // inicializirati tudi LCD
  LCD_cls();                                // Zbriše ekran
  while (1) {		                            // Neskončna zanka
    PreberiSerijsko();
    PreberiScratcpad();
    PreberiTemperaturo();
    LCD_print (1, 3, napis);     // 
    Delay_us(50000);
    
   }
}



